Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class AntBuilder

Allows Ant tasks to be used with GroovyMarkup

author:
  James Strachan, changes by Dierk Koenig (dk)

author:
  Marc Guillemot

version:
  $Revision: 11133 $

Field Summary
`def` | `ADD_TASK_PARAM_TYPES`
`def` | `antElementHandler`
`def` | `antTargetHandler`
`AntXMLContext` | `antXmlContext`
`Target` | `collectorTarget`
`Target` | `implicitTarget`
`Object` | `lastCompletedNode`
`Logger` | `log`
`Project` | `project`

Constructor Summary
`AntBuilder()`
`AntBuilder(Project project)`
`AntBuilder(Project project, Target owningTarget)`
`AntBuilder(Task parentTask)`

Method Summary
`static Attributes` | `buildAttributes(Map attributes)`
`Object` | `createNode(Object tagName)`
`Object` | `createNode(Object name, Object value)`
`Object` | `createNode(Object name, Map attributes, Object value)`
`Object` | `createNode(Object name, Map attributes)`
`static Project` | `createProject()`
`Object` | `doInvokeMethod(String methodName, Object name, Object args)`
`Project` | `getAntProject()`
`Project` | `getProject()` # Gets the Ant project in which the tasks are executed
`void` | `nodeCompleted(Object parent, Object node)` Determines, when the ANT Task that is represented by the "node" should perform.
`Target` | `onStartTarget(Attributes attrs, String tagName, String ns)`
`void` | `setParent(Object parent, Object child)`
`void` | `setText(Object task, String text)`

Constructor Detail

### AntBuilder

    public AntBuilder()

### AntBuilder

    public AntBuilder(Project project)

### AntBuilder

    public AntBuilder(Project project, Target owningTarget)

### AntBuilder

    public AntBuilder(Task parentTask)

Method Detail

### buildAttributes

    static Attributes buildAttributes(Map attributes)

### createNode

    Object createNode(Object tagName)

### createNode

    Object createNode(Object name, Object value)

### createNode

    Object createNode(Object name, Map attributes, Object value)

### createNode

    Object createNode(Object name, Map attributes)

### createProject

    static Project createProject()

  return:
    Factory method to create new Project instances

### doInvokeMethod

    Object doInvokeMethod(String methodName, Object name, Object args)

### getAntProject

    public Project getAntProject()

### getProject

    public Project getProject()

  # Gets the Ant project in which the tasks are executed
  return:
    the project

### nodeCompleted

    void nodeCompleted(Object parent, Object node)

  Determines, when the ANT Task that is represented by the "node" should perform. Node must be an ANT Task or no "perform" is called. If node is an ANT Task, it performs right after complete contstruction. If node is nested in a TaskContainer, calling "perform" is delegated to that TaskContainer.
  param:
    parent note: null when node is root
  param:
    node the node that now has all its children applied

### onStartTarget

    Target onStartTarget(Attributes attrs, String tagName, String ns)

### setParent

    void setParent(Object parent, Object child)

### setText

    void setText(Object task, String text)